0

I am trying to install buildkit and re-educate myself with some of the more up to date CiviCRM development practises :-) However, I get an error when I run civicrm_download_tools. I am running Ubuntu 14.04. Here is what my npm-debug.log says:

 14868 error 404 'types' is not in the npm registry.
14868 error 404 You should bug the author to publish it
14868 error 404
14868 error 404 Note that you can also install from a
14868 error 404 tarball, folder, or http url, or git url.
14869 error System Linux 4.4.0-57-generic
14870 error command "/usr/bin/nodejs" "/usr/bin/npm" "install"
14871 error cwd /home/erik/buildkit
14872 error node -v v0.10.25
14873 error npm -v 1.3.10
14874 error code E404

Any ideas what I could or should do?

2

Solved by updating my npm install using

install npm -g

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.